export function isArraySorted(list) {
    const len = list.length;
    if (!len || 1 === len)
        return true;
    let sorted = true;
    let prev = 0;
    for (const n of list) {
        const nType = typeof (n);
        if ('string' === nType && 1 === n.length) {
            const pt = n.codePointAt(0);
            if (pt < prev) {
                sorted = false;
                break;
            }
            prev = pt;
            continue;
        }
        else if ('number' === nType) {
            if (n < prev) {
                sorted = false;
                break;
            }
            prev = n;
            continue;
        }
        sorted = false;
        break;
    }
    return sorted;
}
export const isSorted = {
    label: 'isSorted',
    fn: function arrayIsSorted() {
        const ctx = this;
        return isArraySorted(ctx);
    },
};
//# sourceMappingURL=is-sorted.js.map