export const partition = {
    label: 'partition',
    fn: function arrayPartition(predicate) {
        const ctx = this;
        const len = ctx.length;
        if ('function' !== typeof (predicate)) {
            throw new TypeError(`Expect 'predicate' to be a function`);
        }
        if (!len)
            return [[], []];
        const matched = [];
        const rest = [];
        for (const n of ctx) {
            predicate(n) ? matched.push(n) : rest.push(n);
        }
        return [matched, rest];
    },
};
//# sourceMappingURL=partition.js.map