export const startsWith = {
    label: 'startsWith',
    fn: function arrayStartsWith(needle) {
        const ctx = this;
        if (!Array.isArray(needle)) {
            throw new TypeError(`Expect 'needle' to be an array`);
        }
        const ctxLen = ctx.length;
        const len = needle.length;
        if (!len)
            return true;
        if (!ctxLen || ctxLen < len)
            return false;
        let matched = 1;
        for (let i = 0; i < len; i += 1) {
            const val = needle[i];
            matched &= Number(val === ctx[i]);
        }
        return Boolean(matched);
    },
};
//# sourceMappingURL=starts-with.js.map