export const delayed = {
    isStatic: true,
    label: 'delayed',
    fn: function promiseDelayed(delay, callback) {
        const delayInt = null == delay ? 0 : Number(delay);
        const fn = 'function' === typeof (callback) ? callback : () => void 0;
        if (delayInt < 1)
            return Promise.resolve(fn());
        return new Promise((yay, nah) => {
            setTimeout(() => {
                try {
                    yay(fn());
                }
                catch (e) {
                    nah(e);
                }
            }, delayInt);
        });
    },
};
//# sourceMappingURL=delayed.js.map