import { utilIsSet } from './is-set';
export const union = {
    label: 'union',
    fn: function setUnion(other) {
        const ctx = this;
        if (!utilIsSet(other))
            throw new TypeError(`Expect 'other' to be a Set`);
        if (!ctx.size && !other.size)
            return [];
        const unionSet = new Set(ctx);
        const unionList = [];
        for (const n of other)
            unionSet.add(n);
        for (const n of unionSet)
            unionList.push(n);
        return unionList;
    },
};
//# sourceMappingURL=union.js.map